
%global meadversion 1.0.4
%global namedversion 1.0.4.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package artemis-wildfly-integration}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.4.redhat-00001

Name:           %{?scl_prefix}artemis-wildfly-integration
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ActiveMQ Artemis WildFly Integration
Group:          Development/Java

%if %with mead
Source100: artemis-wildfly-integration-1.0.4.redhat-00001-project-sources.tar.gz
Source102: artemis-wildfly-integration-1.0.4.redhat-00001.jar
Source103: artemis-wildfly-integration-1.0.4.redhat-00001-sources.jar
Source104: artemis-wildfly-integration-1.0.4.redhat-00001-javadoc.jar
Source105: artemis-wildfly-integration-1.0.4.redhat-00001.pom
%endif

License:        ASL 2.0 or LGPLv2+
URL:            https://github.com/A-MQ/artemis-wildfly-integration.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for artemis-wildfly-integration
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n artemis-wildfly-integration-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/artemis-wildfly-integration-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-wildfly-integration-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-wildfly-integration-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-wildfly-integration-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-wildfly-integration-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-wildfly-integration-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/artemis-wildfly-integration-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/artemis-wildfly-integration-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/artemis-wildfly-integration-%{namedversion} -x META-INF/\*
%{__ln_s} artemis-wildfly-integration-%{namedversion} %{buildroot}%{_javadocdir}/artemis-wildfly-integration
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE
%{_javadir}/artemis-wildfly-integration-%{namedversion}.jar
%{_javadir}/artemis-wildfly-integration.jar
%if %with javadoc
%{_javadir}/artemis-wildfly-integration-%{namedversion}-javadoc.jar
%{_javadir}/artemis-wildfly-integration-javadoc.jar
%endif
%{_javadir}/artemis-wildfly-integration-%{namedversion}-sources.jar
%{_javadir}/artemis-wildfly-integration-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/artemis-wildfly-integration-%{namedversion}
%{_javadocdir}/artemis-wildfly-integration
%endif

%changelog
* Mon Mar 29 2021 Yong Yang <yyang@redhat.com> - 1.0.4-1.redhat_00001.1
- 1.0.4.redhat-00001

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.0.2-4.redhat_1.1
- Rewrap for 7.2.0

* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.2-3.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.2-2.redhat_1.1
- Fix license (JBEAP-13468)

* Wed Oct 21 2015 David Walluck <dwalluck@redhat.com> - 1.0.2-1.redhat_1.1
- 1.0.2

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.1-1.redhat_1.1
- release

